import { writable } from 'svelte/store';
const createStore = () => {
    let id = 0;
    const { update, subscribe } = writable({
        duration: 5000,
        position: 'top-right',
        items: []
    });
    return {
        subscribe: subscribe,
        add: (item, options) => update((n) => {
            var _a;
            id++;
            item.id = id;
            if (!item.closable && !item.href) {
                setTimeout(() => {
                    update((n) => ({ ...n, items: n.items.filter((i) => i !== item) }));
                }, (_a = options === null || options === void 0 ? void 0 : options.duration) !== null && _a !== void 0 ? _a : n.duration);
            }
            return { ...n, items: [item, ...n.items] };
        }),
        setDuration: (duration) => update((n) => ({ ...n, duration })),
        setPosition: (position) => update((n) => ({ ...n, position })),
        close: (item) => update((n) => ({ ...n, items: n.items.filter((i) => i !== item) }))
    };
};
export default createStore();
